Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# CPANPLUS::Shell::Default::Plugins::CustomSource

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# CPANPLUS::Shell::Default::Plugins::CustomSource

- NAME
- SYNOPSIS
- DESCRIPTION

# NAME

CPANPLUS::Shell::Default::Plugins::CustomSource - add custom sources to CPANPLUS

# SYNOPSIS

        ### elaborate help text    CPAN Terminal> /? cs        ### add a new custom source        CPAN Terminal> /cs --add file:///path/to/releases    ### list all your custom sources by    CPAN Terminal> /cs --list        ### display the contents of a custom source by URI or ID        CPAN Terminal> /cs --contents file:///path/to/releases    CPAN Terminal> /cs --contents 1        ### Update a custom source by URI or ID        CPAN Terminal> /cs --update file:///path/to/releases    CPAN Terminal> /cs --update 1        ### Remove a custom source by URI or ID        CPAN Terminal> /cs --remove file:///path/to/releases    CPAN Terminal> /cs --remove 1        ### Write an index file for a custom source, to share        ### with 3rd parties or remote users        CPAN Terminal> /cs --write file:///path/to/releases    ### Make sure to save your sources when adding/removing    ### sources, so your changes are reflected in the cache:    CPAN Terminal> x

# DESCRIPTION

This is a `CPANPLUS::Shell::Default` plugin that can add custom sources to your CPANPLUS installation. This is a wrapper around the `custom module sources` code as outlined in CUSTOM MODULE SOURCES in CPANPLUS::Backend.

This allows you to extend your index of available modules beyond what's available on `CPAN` with your own local distributions, or ones offered by third parties.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION